PHP
echo "FOO";curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/seller/offer/file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/*' \
--data '"<string>"'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/offer/file"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/*'},
body: JSON.stringify('<string>')
};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/offer/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://scx-sbx.api.jtl-software.com/v1/seller/offer/file"
payload := strings.NewReader("\"<string>\"")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://scx-sbx.api.jtl-software.com/v1/seller/offer/file")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/*")
.body("\"<string>\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://scx-sbx.api.jtl-software.com/v1/seller/offer/file")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/*'
request.body = "\"<string>\""
response = http.request(request)
puts response.read_body{
"remoteFile": "a947e0c4-f88f-47bd-afe4-3a11e28c8f85.png",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Offer
Upload Files
Supported image formats are: GIF, JPEG, PNG, SVG Supported document formats are: PDF, Plain text
POST
/
v1
/
seller
/
offer
/
file
PHP
echo "FOO";curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/seller/offer/file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/*' \
--data '"<string>"'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/offer/file"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/*'},
body: JSON.stringify('<string>')
};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/offer/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://scx-sbx.api.jtl-software.com/v1/seller/offer/file"
payload := strings.NewReader("\"<string>\"")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://scx-sbx.api.jtl-software.com/v1/seller/offer/file")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/*")
.body("\"<string>\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://scx-sbx.api.jtl-software.com/v1/seller/offer/file")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/*'
request.body = "\"<string>\""
response = http.request(request)
puts response.read_body{
"remoteFile": "a947e0c4-f88f-47bd-afe4-3a11e28c8f85.png",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Body
application/*
Generic binary file upload (image or document) for a product offer.
The body is of type file.
Was this page helpful?
⌘I